Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Libreoffice 6 pretty ugly in Plasma [solved]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
mani001
Guru
Guru


Joined: 04 Dec 2004
Posts: 334
Location: Oleiros

PostPosted: Wed May 23, 2018 2:21 pm    Post subject: Libreoffice 6 pretty ugly in Plasma [solved] Reply with quote

Hi,

I don't know if I'm missing some library, but after updating Libreoffice to version 6, it looks pretty ugly in Plasma 5. Libreoffice 5.x used to look fine.

I noticed that "-kde" USE flag is now enforced (support for KDE4 dropped?), and I read somewhere that Libreoffice 6.1 is going to somehow support Qt5...so I guess we are stuck with ugly Libreoffice until 6.1. Is that so?

Cheers.


Last edited by mani001 on Wed May 23, 2018 7:02 pm; edited 1 time in total
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 19604
Location: here

PostPosted: Wed May 23, 2018 2:30 pm    Post subject: Reply with quote

Libreoffice 6.0.x kde support is for qt/plasma 5
libreoffice-6.0.3.2.ebuild:
        kde? (
                dev-qt/qtcore:5
                dev-qt/qtgui:5
                dev-qt/qtx11extras:5
                dev-qt/qtwidgets:5
                kde-frameworks/kconfig:5
                kde-frameworks/kcoreaddons:5
                kde-frameworks/ki18n:5
                kde-frameworks/kio:5
                kde-frameworks/kwindowsystem:5
        )

_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
mani001
Guru
Guru


Joined: 04 Dec 2004
Posts: 334
Location: Oleiros

PostPosted: Wed May 23, 2018 2:38 pm    Post subject: Reply with quote

mmm...good point, but I have kde USE flag enabled (automatically by the profile), and even so Libreoffice won't compile with kde enabled. I also added kde in package use
Code:
app-office/libreoffice pdfimport gstreamer googledrive -gtk gtk3 kde

to no avail.
I guess -kde is enforced somewhere for some reason... :?

Anyway, does that mean Libreoffice looks fine (as fine as it used to, anyway) in your Plasma installation?

Cheers.
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6492
Location: Austria

PostPosted: Wed May 23, 2018 2:42 pm    Post subject: Reply with quote

libreoffice[kde] would look just the same since the only thing it adds is a kf5-based file dialog. It has some grave bug though that makes it impossible to stabilise, hence the flag is stable-masked.

libreoffice[gtk] should look just fine, unless you are missing kde-gtk-config and support for gtk+3 integration. Set kde-plasma/systemsettings[gtk] which pulls in kde-plasma/kde-gtk-config.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
mani001
Guru
Guru


Joined: 04 Dec 2004
Posts: 334
Location: Oleiros

PostPosted: Wed May 23, 2018 4:56 pm    Post subject: Reply with quote

Thanks asturm!! adding gtk to the USE flags did the trick :D
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum